Subject: bug#78043: Cursor gets stuck after inline code input in comint buffer when using markdown-mode, bypassing prompt lines starting with '>'

From: Kang Tu <[email-masked]>
Date: Sat, 10 May 2025 06:34:01 -0700

Hi Eli,

Thanks for the follow up, and sorry for my late reply.
I have some difficulty to reproduce the problem without markdown-mode

On our side, The problem got resolved by making code change on application
side in this PR <https://github.com/tninja/aider.el/pull/133>. And The
issue creator in application side are happy
<https://github.com/tninja/aider.el/issues/126> with current solution
<https://github.com/tninja/aider.el/issues/126>.

I thought it might be a comint-mode bug but still not very sure, cause our
code is applying markdown mode syntax on the comint session and it is not a
pure comint seen issue. But glad it is not a problem anymore.

Best

Kang

On Sat, May 10, 2025 at 2:26 AM Eli Zaretskii <[email-masked]> wrote:

> Ping!  Would it be possible to have a recipe like I asked for?
>
> > Cc: [email-masked]
> > Date: Fri, 25 Apr 2025 18:52:26 +0300
> > From: Eli Zaretskii <[email-masked]>
> >
> > > From: Kang Tu <[email-masked]>
> > > Date: Fri, 25 Apr 2025 06:56:56 -0700
> > > Cc: [email-masked]
> > >
> > > Actually we are wondering if it is a comint-mode bug. This line
> suppose to suppress markdown-mode
> > > rendering on comint input line (start with > character):
> > > https://github.com/tninja/aider.el/blob/main/aider-core.el#L67,
> However it doesn't work as expected.
> > >
> > > We are discussed in this github issue, and font-lock-defaults seems to
> be right:
> > > https://github.com/tninja/aider.el/issues/126#issuecomment-2816839141,
> so we suspect it is a comint-mode
> > > bug, for not being able to override on comint input line.
> > >
> > > Would you mind help take a look at this?
> >
> > I would, if you could provide a recipe for reproduction that starts
> > from "emacs -Q" and preferably doesn't need to load markdown-mode.  If
> > this is a comint issue, then there should be a way of reproducing the
> > problem without markdown-mode.
> >
> >
> >
> >
>